# minio

> High Performance Object Storage, AWS S3 alternative

<!-- metadata -->

* **Category**: Utilities
* **Status**: 2, beta
* **Image**: [`minio`](https://hub.docker.com/r/minio/minio), 4, upstream
* **Healthcheck**: ✅
* **Backups**: No
* **Email**: No
* **Tests**: 2
* **SSO**: No

<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. `abra app new minio --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app config YOURAPPDOMAIN` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app deploy YOURAPPDOMAIN`
6. Open the configured domain in your browser to finish set-up. Login is the content of `access_key` and password is the content of `secret_key`.

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`coop-cloud/traefik`]: https://git.autonomic.zone/coop-cloud/traefik

## Versioning

Unfortunately, `abra` cannot parse the upstream versioning format without some custom development work (see [this](https://git.coopcloud.tech/coop-cloud/tagcmp#types-of-versions-not-supported) for more) that has not been done yet. In the meantime, you need to upgrade the tags yourself.
